Subject: Re: bug#68568: transient.el interns potentially enormous symbols as commands

From: Psionic K <[email-masked]>
Date: Sun, 21 Jan 2024 17:26:35 +0900

> Not sure what you mean by "user"

GPTel is on the user side of transient.  Karthink or another contributor
wrote GPTel to use transient that way.  Perhaps they need to create new
suffixes dynamically, but even that can be done with `define-suffix' etc.
If someone calls `define-suffix' with a really long name, there's nothing
transient can or should do about it.

Actually, I recommend taking this to GPTel.  You can ping me on their
Github @psionic-k and I'll help Karthink or others consider an alternative
approach that has sensible symbol names.

> is highly likely to appear in the extremely long tail of the enormous
symbol

True, but the symbols in question contain "transient:" and ":--" strings
that should be easy to filter out.  Lots of completion packages can filter
those.